Bug 106571 - QueueManager.queue broken for shared publishing destinations
Summary: QueueManager.queue broken for shared publishing destinations
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 100952
TreeView+ depends on / blocked
 
Reported: 2003-10-08 14:35 UTC by Carsten Clasohm
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 16:21:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carsten Clasohm 2003-10-08 14:35:52 UTC
Description of problem:
When the publishing destinations defined in the
com.arsdigita.cms.publishToFile.Initializer section of enterprise.init are
declared as "shared", QueueManager.queue should queue tasks on the first host
listed in the com.arsdigita.web.Initializer section. Instead, it does not queue
tasks at all.

Version-Release number of selected component (if applicable):
6.0 and dev

How reproducible:
always

Steps to Reproduce:
1. Enable and configure P2FS. Change the destinations parameter in the
com.arsdigita.cms.publishToFile.Initializer section so that the publishing
destinations are declared as "shared" (third list element).

2. Publish or unpublish an item.

3. Observe that publish_to_fs_queue remains empty.
    
Additional info:
The simple fix can be found in changelist 36800. (Set lastIndex to 1 instead of 0.)

Comment 1 Archit Shah 2003-11-04 16:32:45 UTC
fixed on 6.0.x (37639) and dev (37649)


Note You need to log in before you can comment on or make changes to this bug.